#
# spec file for package mac
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _version 892
Name:           mac
Version:        8.92
Release:        1.5
Summary:        APE codec and decompressor
License:        SUSE-Permissive
URL:            https://www.monkeysaudio.com/index.html
Source0:        https://monkeysaudio.com/files/MAC_%{_version}_SDK.zip
Source1:        https://monkeysaudio.com/license.html
BuildRequires:  gcc-c++
BuildRequires:  unzip
BuildRequires:  %{python_module html2text}
%debug_package

%description
Monkey’s Audio is a fast and easy way to compress digital music.

%postun
ldconfig

%post
ldconfig

%package devel
Summary:        Development files for APE
Requires:       mac = %{version}
BuildArch:      noarch

%description devel
Development files for Monkey's Audio codec and decompressor.

%prep
%setup -qc
tr -d '\r' <Readme.txt >README
ls -l
html2text --ignore-links "%{_sourcedir}/license.html" | sed -n '/^## License$/,$p' > LICENSE.md

%build
%make_build -C Source/Projects/NonWindows

%install
make DESTDIR=%{buildroot} prefix=%{_prefix} install -C Source/Projects/NonWindows
install -d %{buildroot}%{_docdir}
install -m0644 LICENSE.md %{buildroot}%{_docdir}

%files
%doc README
%license %{_docdir}/LICENSE.md
%{_bindir}/mac
%{_prefix}/lib/libMAC.so.8

%files devel
%{_includedir}/*
%{_prefix}/lib/libMAC.so

%changelog
* Mon Oct 10 2022 Lukas Kucharczyk <lukas.kucharczyk@suse.com>
- Include the license in a different way
* Mon Oct 10 2022 Lukas Kucharczyk <lukas.kucharczyk@suse.com>
- Version 8.92 (October 7, 2022)
  - Changed: Moved that the APE namespace is being used into CPP files instead of the global header.
  - Fixed: The Console header was relying upon undefined types, now correctly includes All.h (thanks Valérian Sibille).
  - Fixed: NoWindows.h now defines TCHAR, LPTSTR, LPCTSTR outside of the APE namespace like on Windows (thanks Valérian Sibille).
- Version 8.91 (October 7, 2022)
  - Changed: Worked through the rest of the Clang-Tidy warnings.
  - Changed: Turned on whole program optimization for the DirectShow filter (already on for everything else).
  - Fixed: With the non-Windows standard file reader, reads that didn't read any bytes would be reported as successful, causing FFmpeg pipes to hang forever after reaching the end of the input file (thanks Valérian Sibille).
* Thu Oct  6 2022 Lukas Kucharczyk <lukas.kucharczyk@suse.com>
- Set license to SUSE-Permissive
- Add "%%debug_package" macro to get rid of rpmlint warnings
* Wed Oct  5 2022 Lukas Kucharczyk <lukas.kucharczyk@suse.com>
- Version 8.90 (September 29, 2022)
  - Changed: Updated to a new certificate for signing that's good for three more years.
  - Changed: Use nullptr and override under MSVC.
  - Changed: Switched the CRC code to use a table defined in the code instead of running code to build the table (makes startup a little cleaner and faster).
  - Changed: Worked through some more Clang-Tidy warnings.
  - Changed: When verifying an APL file, it will slow verify in all cases since it's just a small chunk of a big file (instead of checking the big file quick).
  - Changed: Updated to Visual Studio 17.3.5.
